# Module ra_leaderboard

- Function Index
- Function Details

## Function Index

init/0 |
record/3 |
clear/1 |
lookup_leader/1 |
lookup_members/1 |
overview/0 |

## Function Details

### init/0

    init() -> ok

### record/3

    record(ClusterName :: ra:cluster_name(),
           Leader :: ra:server_id(),
           Members :: [ra:server_id()]) ->
              ok

### clear/1

    clear(ClusterName :: ra:cluster_name()) -> ok

### lookup_leader/1

    lookup_leader(ClusterName :: ra:cluster_name()) ->
                     ra:server_id() | undefined

### lookup_members/1

    lookup_members(ClusterName :: ra:cluster_name()) ->
                      [ra:server_id()] | undefined

### overview/0

    overview() -> list()

Generated by EDoc